joo.classLoader.prepare("package ext.config",/* {*/


/**
 * A display-only text field which is not validated and not submitted.
 *
 * <p>This class represents the xtype 'displayfield' and serves as a
 * typed config object for constructor of class DisplayField.</p>
 *
 * <p>Copyright &#169; 2011 Sencha Inc.</p>
 * @see ext.form.DisplayField
 */
{ExtConfig:{target:"ext.form.DisplayField", xtype:"displayfield"}},
"public class displayfield extends ext.config.field",6,function($$private){;return[ 

  "public function displayfield",function displayfield(config/*:Object = null*/) {if(arguments.length<1){config = null;}

    ext.config.field.call(this,config);
  },


  /**
   The default CSS class for the field (defaults to <tt>"x-form-display-field"</tt>)
   */
  "override public native function get fieldClass"/*():String*/,

  /**
   * @private
   */
  "override public native function set fieldClass"/*(value:String):void*/,

  /**
   <tt>false</tt> to skip HTML-encoding the text when rendering it (defaults to <tt>false</tt>). This might be useful if you want to include tags in the field's innerHTML rather than rendering them as string literals per the default logic.
   */
  "public native function get htmlEncode"/*():Boolean*/,

  /**
   * @private
   */
  "public native function set htmlEncode"/*(value:Boolean):void*/,


undefined];},[],["ext.config.field"], "0.8.0", "0.9.7"
);